
#ifndef SCRVERSION_H
#define SCRVERSION_H

#include "Script.h"

DECLARE_MODULE(version)


DECLARE_SCRIPT(cScr_VersionCheck,cScript)
{
public:
	DECLARE_FACTORY(VersionCheck,CustomScript);
	cScr_VersionCheck() : cScript()
	{ }
	cScr_VersionCheck(const char* pszName, int iHostObjId)
		: cScript(pszName,iHostObjId)
	{ }

private:
	DECLARE_MSGHANDLER(OnSim);
	DECLARE_MSGHANDLER(OnTimer);

protected:
	virtual void InitScriptData()
	{
		cScript::InitScriptData();
		REGISTER_MSGHANDLER("Sim",cScr_VersionCheck::OnSim);
		REGISTER_MSGHANDLER("Timer",cScr_VersionCheck::OnTimer);
	}
};

#endif // SCRVERSION_H
